#pragma once

#include "Effect.h"
#include "prototypes.h"
#include "my_fastled.h"
#include "Window.h"

class ClockEffect : public Effect {
protected:
    Window* window = new Window(0, LED_HEIGHT - 6, LED_WIDTH, 6);

public:
    ~ClockEffect();
    virtual void loop();
    String get_name() override { return "clock"; }
    void loop_with_invert(bool invert);
    void loop(boolean invert, CRGB fg_color, CRGB bg_color, uint8_t y);
};

class NightClockEffect : public ClockEffect {
public:
	NightClockEffect();
	void loop() override;
};
