#pragma once

#include "Effect.h"
#include <Arduino.h>

class TwirlEffect : public Effect {
private:
    uint8_t angleOffset = 0;
    uint8_t _center_offset_angle = 0;
    double _real_center_x = LED_WIDTH / 2;
    double _real_center_y = LED_HEIGHT / 2;
public:
    void loop();
    boolean can_be_shown_with_clock() override;
    boolean clock_as_mask() override;
    String get_name() override { return "twirl"; }
};

